Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class CloseBlockerOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.commons.io.output.ProxyOutputStream
                  org.apache.fop.util.CloseBlockerOutputStream

public class CloseBlockerOutputStream
extends org.apache.commons.io.output.ProxyOutputStream

This is a decorator to block calls to close() to the underlying stream.

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CloseBlockerOutputStream(java.io.OutputStream out)` Main constructor.

Method Summary
`void` | `close()`

Methods inherited from class org.apache.commons.io.output.ProxyOutputStream
`flush, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseBlockerOutputStream

    public CloseBlockerOutputStream(java.io.OutputStream out)

  Main constructor.

Parameters:
  `out` - the underlying stream

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.